# -*- coding: utf-8 -*-
from setuphelpers import *

"""
Installation procedure: 
https://www.tightvnc.com/doc/win/TightVNC_2.7_for_Windows_Installing_from_MSI_Packages.pdf

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob("*tightvnc-*.msi")[0]
    # Installing the software
    print("Installing: %s" % bin_name)
    install_msi_if_needed(
        bin_name,
        properties={"ADDLOCAL": "Viewer"},
    )
